<?php

namespace DigiComp\HetznerDnsApi\Model;

class BaseZoneTxtVerification
{
    /**
     * Name of the TXT record
     *
     * @var string|null
     */
    protected $name;
    /**
     * Value of the TXT record
     *
     * @var string|null
     */
    protected $token;
    /**
     * Name of the TXT record
     *
     * @return string|null
     */
    public function getName() : ?string
    {
        return $this->name;
    }
    /**
     * Name of the TXT record
     *
     * @param string|null $name
     *
     * @return self
     */
    public function setName(?string $name) : self
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Value of the TXT record
     *
     * @return string|null
     */
    public function getToken() : ?string
    {
        return $this->token;
    }
    /**
     * Value of the TXT record
     *
     * @param string|null $token
     *
     * @return self
     */
    public function setToken(?string $token) : self
    {
        $this->token = $token;
        return $this;
    }
}