<?php

namespace DigiComp\HetznerDnsApi\Model;

class Pagination
{
    /**
     * This value represents the current page
     *
     * @var float|null
     */
    protected $page;
    /**
     * This value represents the number of entries that are returned per page
     *
     * @var float|null
     */
    protected $perPage;
    /**
     * This value represents the last page
     *
     * @var float|null
     */
    protected $lastPage;
    /**
     * This value represents the total number of entries
     *
     * @var float|null
     */
    protected $totalEntries;
    /**
     * This value represents the current page
     *
     * @return float|null
     */
    public function getPage() : ?float
    {
        return $this->page;
    }
    /**
     * This value represents the current page
     *
     * @param float|null $page
     *
     * @return self
     */
    public function setPage(?float $page) : self
    {
        $this->page = $page;
        return $this;
    }
    /**
     * This value represents the number of entries that are returned per page
     *
     * @return float|null
     */
    public function getPerPage() : ?float
    {
        return $this->perPage;
    }
    /**
     * This value represents the number of entries that are returned per page
     *
     * @param float|null $perPage
     *
     * @return self
     */
    public function setPerPage(?float $perPage) : self
    {
        $this->perPage = $perPage;
        return $this;
    }
    /**
     * This value represents the last page
     *
     * @return float|null
     */
    public function getLastPage() : ?float
    {
        return $this->lastPage;
    }
    /**
     * This value represents the last page
     *
     * @param float|null $lastPage
     *
     * @return self
     */
    public function setLastPage(?float $lastPage) : self
    {
        $this->lastPage = $lastPage;
        return $this;
    }
    /**
     * This value represents the total number of entries
     *
     * @return float|null
     */
    public function getTotalEntries() : ?float
    {
        return $this->totalEntries;
    }
    /**
     * This value represents the total number of entries
     *
     * @param float|null $totalEntries
     *
     * @return self
     */
    public function setTotalEntries(?float $totalEntries) : self
    {
        $this->totalEntries = $totalEntries;
        return $this;
    }
}